<?php
namespace Magento\CatalogUrlRewrite\Service\V1\StoreViewService;

/**
 * Interceptor class for @see \Magento\CatalogUrlRewrite\Service\V1\StoreViewService
 */
class Interceptor extends \Magento\CatalogUrlRewrite\Service\V1\StoreViewService implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Eav\Model\Config $eavConfig, \Magento\Framework\App\ResourceConnection $resource)
    {
        $this->___init();
        parent::__construct($eavConfig, $resource);
    }

    /**
     * {@inheritdoc}
     */
    public function doesEntityHaveOverriddenUrlKeyForStore($storeId, $entityId, $entityType)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'doesEntityHaveOverriddenUrlKeyForStore');
        return $pluginInfo ? $this->___callPlugins('doesEntityHaveOverriddenUrlKeyForStore', func_get_args(), $pluginInfo) : parent::doesEntityHaveOverriddenUrlKeyForStore($storeId, $entityId, $entityType);
    }
}
